PHPExcel_Worksheet_SheetView

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Worksheet_SheetView

    __construct()

## Get View

    getView() : string

### Returns

`string`

## Get ZoomScale

    getZoomScale() : int

### Returns

`int`

## Get ZoomScaleNormal

    getZoomScaleNormal() : int

### Returns

`int`

## Set View

    setView(string $pValue) : \PHPExcel_Worksheet_SheetView

Valid values are 'normal' self::SHEETVIEW_NORMAL 'pageLayout' self::SHEETVIEW_PAGE_LAYOUT 'pageBreakPreview' self::SHEETVIEW_PAGE_BREAK_PREVIEW

### Parameters

#### $pValue

`string`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_SheetView`

## Set ZoomScale

    setZoomScale(int $pValue) : \PHPExcel_Worksheet_SheetView

Valid values range from 10 to 400.

### Parameters

#### $pValue

`int`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_SheetView`

## Set ZoomScale

    setZoomScaleNormal(int $pValue) : \PHPExcel_Worksheet_SheetView

Valid values range from 10 to 400.

### Parameters

#### $pValue

`int`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_SheetView`

### Properties

##

    $_sheetViewTypes

##

    $_sheetviewType : string

Valid values range from 10 to 400.

##

    $_zoomScale : int

Valid values range from 10 to 400.

##

    $_zoomScaleNormal : int

Valid values range from 10 to 400.

### Constants

## SHEETVIEW_NORMAL

    SHEETVIEW_NORMAL

## SHEETVIEW_PAGE_BREAK_PREVIEW

    SHEETVIEW_PAGE_BREAK_PREVIEW

## SHEETVIEW_PAGE_LAYOUT

    SHEETVIEW_PAGE_LAYOUT